 #include<8051.h>
 void my_int() interrupt 0;
 void main()
 {
    EA = 1;
    EX0 =1;
    ACC = 0x00;
    for(;;)
    {

    }
 }
 void my_int() interrupt 0
 {
     int i,j;
     j = 0x10;
     i = P0;
     P2_5 = 0;
     if (P2_7 == 1)
     {
        P1 = i + j;
     }
     else
     {
        P1 = i - j;
     }
 }
